using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace EFBTracker.Tracking
{
    public class SimPosition
    {
        public float Latitude { get; set; }
        public float Longitude { get; set; }
        public int Altitude { get; set; }

        public SimPosition(Packet[] data){
            if (data[0].Data != null)
            {
                Latitude = data[0].Data[0];
                Longitude = data[1].Data[0];
                Altitude = Convert.ToInt32(data[2].Data[0]);
            }
        }
        
    }
}